Subject: [quicwg/base-drafts] Editorial nits for HTTP (#3942)

From: Mike Bishop <[email-masked]>
Date: Wed, 22 Jul 2020 14:17:59 -0700

Those that didn&#39;t seem to warrant separate issues, anyway.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/3942

-- Commit Summary --

  * HTTP WGLC review

-- File Changes --

    M draft-ietf-quic-http.md (345)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/3942.patch
https://github.com/quicwg/base-drafts/pull/3942.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942

---

From: Mike Bishop <[email-masked]>
Date: Wed, 22 Jul 2020 14:18:23 -0700

@MikeBishop commented on this pull request.

> @@ -2406,7 +2416,7 @@ INADEQUATE_SECURITY (0xc):
 : Not applicable, since QUIC is assumed to provide sufficient security on all
   connections.
 
-H3_1_1_REQUIRED (0xd):
+HTTP_1_1_REQUIRED (0xd):

😁

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#pullrequestreview-453692371

---

From: Martin Thomson <[email-masked]>
Date: Wed, 22 Jul 2020 21:43:29 -0700

@martinthomson approved this pull request.

Nice.  A few suggestions, but these are mostly easy or obvious fixes.  Feel free to use follow-up issues for the trickier comments.

>    references the PUSH_PROMISE frame using a Push ID.  See
   {{frame-push-promise}}.
 
 PING (0x6):
-: PING frames do not exist, since QUIC provides equivalent functionality.
+: PING frames do not exist in HTTP/3, since QUIC provides equivalent

```suggestion
: PING frames do not exist in HTTP/3, as QUIC provides equivalent
```

-H3_1_1_REQUIRED (0xd):

HTTP 3.1.1 for Workgroups, perhaps?

 SETTINGS_INITIAL_WINDOW_SIZE:
 : QUIC requires both stream and connection flow control window sizes to be
-  specified in the initial transport handshake.  Specifying
-  SETTINGS_INITIAL_WINDOW_SIZE in the SETTINGS frame is an error.
+  specified in the initial transport handshake.  Specifying the
+  SETTINGS_INITIAL_WINDOW_SIZE parameter in the SETTINGS frame is an error.

Are we using "parameter" now?  I seem to recall that h2 uses "setting".  And SETTINGS_INITIAL_WINDOW_SIZE isn't a defined parameter, so you might want to say "Specifying a setting with an identifier of `<insert numeric value>` (the identifier for SETTINGS_INITIAL_WINDOW_SIZE in HTTP/2) must be treated as a connection error of type `<blah>`."

Same for the concurrent stream limit. 

> @@ -2246,7 +2254,7 @@ Because the Flags field is not present in generic HTTP/3 frames, those frames
 which depend on the presence of flags need to allocate space for flags as part
 of their frame payload.
 
-Other than this issue, frame type HTTP/2 extensions are typically portable to
+Other than these issue, frame type HTTP/2 extensions are typically portable to

```suggestion
Other than these issues, frame type HTTP/2 extensions are typically portable to
```

> +includes two additional fields. Permanent registrations in this registry SHOULD
+include the following field:

Are you worried about the greasing values with this?

> @@ -446,21 +450,24 @@ response following a final HTTP response MUST be treated as malformed
 
 An HTTP message (request or response) consists of:
 
-1. the header field section (see Section 5 of {{!SEMANTICS}}), sent as a single
-   HEADERS frame (see {{frame-headers}}),
+1. the header field section, sent as a single HEADERS frame (see
+   {{frame-headers}}),
+
+2. optionally, the payload body, if present, sent as a series of DATA frames
+   (see {{frame-data}}),

Is this a list?
```suggestion
   (see {{frame-data}}), and
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#pullrequestreview-453830792

---

From: Mike Bishop <[email-masked]>
Date: Thu, 23 Jul 2020 06:56:55 -0700

@MikeBishop pushed 1 commit.

c1d9495deb5192730681a1487a9f557aa2ee407e  Plural

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942/files/738b8e566010ae1b1baf9a4f735a3623a5c3b751..c1d9495deb5192730681a1487a9f557aa2ee407e

---

From: Lucas Pardue <[email-masked]>
Date: Thu, 23 Jul 2020 07:47:19 -0700

@LPardue commented on this pull request.

-H3_1_1_REQUIRED (0xd):

whoops

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r459505875

---

From: Mike Bishop <[email-masked]>
Date: Thu, 23 Jul 2020 08:05:26 -0700

No, just simple conflict in requirements within the text.  If Name is optional, then it can't be a MUST include it.  If it MUST be included, it's not optional.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r459519514

---

From: Mike Bishop <[email-masked]>
Date: Thu, 23 Jul 2020 08:08:24 -0700

Section 6.5 of RFC 7540:
>    The SETTINGS frame (type=0x4) conveys configuration parameters that
>   affect how endpoints communicate, such as preferences and constraints
>   on peer behavior.  The SETTINGS frame is also used to acknowledge the
>   receipt of those parameters.  Individually, a SETTINGS parameter can
>   also be referred to as a "setting".

But good point that these values aren't defined in this document; I'll reword that.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r459521722

---

From: Mike Bishop <[email-masked]>
Date: Thu, 23 Jul 2020 08:08:58 -0700

a78a515812bb4b2d4c3b57c8d1b7d844a7271a51  Apply suggestions from code review

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942/files/c1d9495deb5192730681a1487a9f557aa2ee407e..a78a515812bb4b2d4c3b57c8d1b7d844a7271a51

---

From: Mike Bishop <[email-masked]>
Date: Thu, 23 Jul 2020 08:45:56 -0700

This is now #3954.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r459548479

---

From: ianswett <[email-masked]>
Date: Mon, 27 Jul 2020 09:12:36 -0700

@ianswett approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#pullrequestreview-455930039

---

From: Mike Bishop <[email-masked]>
Date: Tue, 28 Jul 2020 12:05:30 -0700

@martinthomson, did you have a different suggested arrangement or can I resolve this comment?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r461806852

---

From: Mike Bishop <[email-masked]>
Date: Tue, 28 Jul 2020 12:07:37 -0700

af40797cc3ba363e683304b93b326b3c548ed1a7  Merge remote-tracking branch 'origin/master' into http/mbishop_wglc

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942/files/a78a515812bb4b2d4c3b57c8d1b7d844a7271a51..af40797cc3ba363e683304b93b326b3c548ed1a7

---

From: Martin Thomson <[email-masked]>
Date: Tue, 28 Jul 2020 20:34:52 -0700

@martinthomson commented on this pull request.

No, I will resolve it.  It's just odd, that's all.  I would have said it was easier to require permanent registrations to have a name.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#discussion_r462017700

---

From: Bence Béky <[email-masked]>
Date: Wed, 29 Jul 2020 06:46:04 -0700

@bencebeky approved this pull request.

> @@ -1167,8 +1172,7 @@ receipt.
 
 The payload and length of the stream are selected in any manner the
 implementation chooses.  Implementations MAY terminate these streams cleanly, or
-MAY abruptly terminate them.  When terminating abruptly, the error code
-H3_NO_ERROR or a reserved error code ({{http-error-codes}}) SHOULD be used.

What is the rationale for removing this sentence?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3942#pullrequestreview-456234166